# FdoIExpressionProcessor Class Reference

`#include <IExpressionProcessor.h>`

Inheritance diagram for FdoIExpressionProcessor:

[legend]

List of all members.

## Detailed Description

The FdoIExpressionProcessor interface can be used to process the nodes in an Expression tree. It declares an process operation for each concrete class in the FdoExpression hierarchy. Providers or client applications can create classes that realize this interface to do something meaningful with an FdoExpression hierarchy. For example, an RDBMS feature provider implements a processor class to convert an FdoExpression hierarchy to the SQL equivalent syntax.

Definition at line 55 of file IExpressionProcessor.h.

## Public Member Functions
virtual void | ProcessBinaryExpression (FdoBinaryExpression &expr)=0
| Processes the FdoBinaryExpression passed in as an argument.
virtual void | ProcessBLOBValue (FdoBLOBValue &expr)=0
| Processes the FdoBLOBValue passed in as an argument.
virtual void | ProcessBooleanValue (FdoBooleanValue &expr)=0
| Processes the FdoBooleanValue passed in as an argument.
virtual void | ProcessByteValue (FdoByteValue &expr)=0
| Processes the FdoByteValue passed in as an argument.
virtual void | ProcessCLOBValue (FdoCLOBValue &expr)=0
| Processes the FdoCLOBValue passed in as an argument.
virtual void | ProcessComputedIdentifier (FdoComputedIdentifier &expr)=0
| Processes the FdoComputedIdentifier passed in as an argument.
virtual void | ProcessDateTimeValue (FdoDateTimeValue &expr)=0
| Processes the FdoDateTimeValue passed in as an argument.
virtual void | ProcessDecimalValue (FdoDecimalValue &expr)=0
| Processes the FdoDecimalValue passed in as an argument.
virtual void | ProcessDoubleValue (FdoDoubleValue &expr)=0
| Processes the FdoDoubleValue passed in as an argument.
virtual void | ProcessFunction (FdoFunction &expr)=0
| Processes the FdoFunction passed in as an argument.
virtual void | ProcessGeometryValue (FdoGeometryValue &expr)=0
| Processes the FdoGeometryValue passed in as an argument.
virtual void | ProcessIdentifier (FdoIdentifier &expr)=0
| Processes the FdoIdentifier passed in as an argument.
virtual void | ProcessInt16Value (FdoInt16Value &expr)=0
| Processes the FdoInt16Value passed in as an argument.
virtual void | ProcessInt32Value (FdoInt32Value &expr)=0
| Processes the FdoInt32Value passed in as an argument.
virtual void | ProcessInt64Value (FdoInt64Value &expr)=0
| Processes the FdoInt64Value passed in as an argument.
virtual void | ProcessParameter (FdoParameter &expr)=0
| Processes the FdoParameter passed in as an argument.
virtual void | ProcessSingleValue (FdoSingleValue &expr)=0
| Processes the FdoSingleValue passed in as an argument.
virtual void | ProcessStringValue (FdoStringValue &expr)=0
| Processes the FdoStringValue passed in as an argument.
virtual void | ProcessUnaryExpression (FdoUnaryExpression &expr)=0
| Processes the FdoUnaryExpression passed in as an argument.

The documentation for this class was generated from the following file:

- IExpressionProcessor.h